import isEvenExceptTwoOrFour from "../solution_02.js";
import assert from "assert";

describe("\n\nSolution_02", function () {
  describe("#isEvenExceptTwoOrFour()", function () {
    it("should return false for odd numbers", function () {
      [1, 3, 5, 7, 9, 115, 143].forEach((i) => {
        assert.equal(isEvenExceptTwoOrFour(i), false);
      });
    });
    it("should return false for 2 and 4", function () {
      [2, 4].forEach((i) => {
        assert.equal(isEvenExceptTwoOrFour(i), false);
      });
    });
    it("should return true for the rest of even numbers", function () {
      [6, 8, 10, 12, 14, 256, 1024].forEach((i) => {
        assert.equal(isEvenExceptTwoOrFour(i), true);
      });
    });
  });
});
