import checkAgeOutsideRange from "../solution_06.js";
import assert from "assert";

describe("\n\nSolution_06", () => {
  describe("#test_for_true", () => {
    it("should return 'false' for numbers between 14 and 90 (inclusive)", () => {
      [14, 90, 20 ,32, 45, 32, 16].map((age) => {
        assert.equal(checkAgeOutsideRange(age), false);
      });
    });
  });
  describe("#test_for_false", () => {
    it("should return 'true' for numbers not between 14 and 90 (inclusive)", () => {
      [-5, 0, 5, 13, 91, 100, 122].map((age) => {
        assert.equal(checkAgeOutsideRange(age), true);
      });
    });
  });
});
